UserGuideNode (Grails 6.0.0)

Package: grails.doc.internal

## [Groovy] Class UserGuideNode

- grails.doc.internal.UserGuideNode

-     @groovy.transform.ToString(excludes: parent, children)
      class UserGuideNode
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.List` | `children` |
    `private java.lang.String` | `file` | The location (including filename) of the node, relatively to the root of the gdoc source directory.
    `private java.lang.String` | `name` | The identifier for this node.
    `private UserGuideNode` | `parent` |
    `private java.lang.String` | `title` | The node title, as displayed in the generated user guide.

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List` | `children`
    `java.lang.String` | `file` The location (including filename) of the node, relatively to the root of the gdoc source directory.
    `java.lang.String` | `name` The identifier for this node.
    `UserGuideNode` | `parent`
    `java.lang.String` | `title` The node title, as displayed in the generated user guide.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `UserGuideNode ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.util.List children

    - #### private java.lang.String file

      The location (including filename) of the node, relatively to the root of the gdoc source directory. Uses Unix style path separators, i.e. '/'/

    - #### private java.lang.String name

      The identifier for this node. It's basically the gdoc filename minus the '.gdoc' suffix. Will be `null` or empty for the root node.

    - #### private UserGuideNode parent

    - #### private java.lang.String title

      The node title, as displayed in the generated user guide.

  - ### Property Detail

    - #### java.util.List children

    - #### java.lang.String file

      The location (including filename) of the node, relatively to the root of the gdoc source directory. Uses Unix style path separators, i.e. '/'/

    - #### java.lang.String name

      The identifier for this node. It's basically the gdoc filename minus the '.gdoc' suffix. Will be `null` or empty for the root node.

    - #### UserGuideNode parent

    - #### java.lang.String title

      The node title, as displayed in the generated user guide.

  - ### Constructor Detail

    - #### UserGuideNode()